routes/admin.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\ReporteController;

Route::get('', [HomeController::class, 'index']);
// Tramo
Route::resource('/tramo', 'App\Http\Controllers\Admin\TramoController');
// Reporte
Route::get('/reporte', ReporteController::class);
//buses
Route::resource('/bus', 'App\Http\Controllers\BusController');

// viajes
Route::resource('/viajes', 'App\Http\Controllers\ViajeController');

//asientos
Route::resource('/asientos', 'App\Http\Controllers\AsientoController');

//Route::get('/bus', [BusController::class, 'index'])->name('bus');
//espacios
Route::resource('/espacios', 'App\Http\Controllers\EspacioController');
//Route::resource('/bus/crear', [BusController::class, 'create']);

routes/web.php
<?php

use App\Http\Controllers\ViajeController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BoletoController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\BusController;
use App\Http\Controllers\DestinosController;
use App\Http\Controllers\PagoController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Route::resource('buses','BusController');
Route::resource('buses', 'App\Http\Controllers\BusController');

Route::get('/', function () {
    return view('destinos.buscador');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/admin', function () {
    return view('admin.index');
})->name('admin');

//           ruta    clase controlador       método
Route::get('/home', [HomeController::class, 'index'])->name('home');
//           ruta    clase controlador       método
// Route::get('admin/viajes', [ViajeController::class, 'index'])->name('viajes');
// Route::get('/viajes/crear', [ViajeController::class, 'create']);
Route::get('admin/bus', [BusController::class, 'index'])->name('bus');
Route::get('/bus/crear', [BusController::class, 'create']);
Route::get('admin/viajes', [ViajeController::class, 'index'])->name('viajes');
// Route::get('/viajes', [ViajeController::class, 'index']);
Route::get('/viajes/crear', [ViajeController::class, 'create']);

Route::get('admin/bus', [BusController::class, 'index'])->name('bus');
Route::get('/bus/crear', [BusController::class, 'create']);
// Route::get('/bus', [BusController::class, 'index'])->name('home');
Route::get('boleto/{id}', BoletoController::class);
Route::get('/cliente', function(){ return view('cliente'); });
Route::resource('/compra', 'App\Http\Controllers\CompraController');
Route::get('pago/{id}', PagoController::class);
Route::get('/paypal/pay', [PaymentController::class, 'payWithPayPal']);
Route::get('/paypal/status', [PaymentController::class, 'payPalStatus']);

// Route::get('/destinos', function(){ return view('destinos.listar'); });
Route::get('/destinos',[DestinosController::class, 'index']);


//Auth::routes();


//Route::get('/buses','BusController@listar')->name('bus');
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

app/Models/Asiento.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Asiento extends Model
{
    use HasFactory;

    //Relación uno a muchos (Inversa)
    public function bus(){
        return $this->belongsTo('App\Models\Bus');
    }
    //Relación uno a muchos
    public function espacios(){
        return $this->hasMany('App\Models\Espacio');
    }
}

app/Http/Controllers/AsientoController.php
<?php

namespace App\Http\Controllers;

use App\Models\Asiento;
use Illuminate\Http\Request;

class AsientoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $idbus = $request->get('idbus');
        $asientos=Asiento::where('bus_id','=', $idbus)->get();
         return view('admin.asientos.listar',[
            'asientos'=>$asientos
         ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.asientos.crear');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $asiento = new Asiento();
        $asiento->num_asiento = $request->get('num_asiento');
        $asiento->fila = $request->get('fila');
        $asiento->columna = $request->get('columna');
        $asiento->bus_id = $request->get('bus_id');
        $asiento->save();

        return redirect('/admin/asientos?idbus='.$request->get('bus_id'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Asiento  $asiento
     * @return \Illuminate\Http\Response
     */
    public function show(Asiento $asiento)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Asiento  $asiento
     * @return \Illuminate\Http\Response
     */
    public function edit( $id)
    {
        
        $asiento = Asiento::find($id);
        return view('admin.asientos.edit')->with('asiento', $asiento);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Asiento  $asiento
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $asiento = Asiento::find($id);

        $asiento->num_asiento = $request->get('num_asiento');
        $asiento->fila = $request->get('fila');
        $asiento->columna = $request->get('columna');
        $asiento->bus_id = $request->get('bus_id');
        $asiento->save();

        return redirect('/admin/asientos?idbus='. $request->get('bus_id'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Asiento  $asiento
     * @return \Illuminate\Http\Response
     */
    public function destroy( Request $request, $id )
    {
        $asiento = Asiento::find($id);
        $asiento->delete();
        return redirect('/admin/asientos?bus='. $request->get('bus_id'));
    }
}

resources/views/admin/asientos/crear.blade.php
@extends('adminlte::page')
@section('title', 'Añadir asientos')
@section('content')
<div class="container">
    <div >
        <h4>Registrar asientos</h4>
        <form class="row g-3" action="/admin/asientos" method="POST">
        @csrf
            <div class="col-md-6">
              <label for="num_asiento" class="form-label">Nro Asiento</label>
              <input type="text" name="num_asiento" class="form-control" id="num_asiento">
              <input type="hidden" name="bus_id" value="{{ request()->get('idbus') }}">
            </div>
            <div class="col-md-6">
              <label for="fila" class="form-label">Nro Fila</label>
              <input type="number" name="fila" class="form-control" id="fila">
            </div>
            <div class="col-12">
              <label for="columna" class="form-label">Nro Columna</label>
              <input type="text" name="columna" class="form-control" id="columna">
            </div>
            <div class="col-auto">
              </div>
            <div class="col-12">
              <button type="submit" class="btn btn-primary">Guardar</button>
            </div>
          </form>
    </div>
</div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

resources/views/admin/asientos/edit.blade.php
@extends('adminlte::page')
@section('title', 'Editar asiento')
@section('content')
<div class="container">
    <div class="card">
        <h4>EDITAR REGISTRO</h4>
        <form class="row g-3" action="/admin/asientos/{{$asiento->id}}" method="POST">
        @csrf
        @method('PUT')
            <div class="col-md-6">
              <label for="num_asiento" class="form-label">Nro Asiento</label>
              <input type="text" name="num_asiento" class="form-control" id="num_asiento" value="{{$asiento->num_asiento}}">
              <input type="hidden" name="bus_id" value="{{ request()->get('idbus') }}">
            </div>
            <div class="col-md-6">
              <label for="fila" class="form-label">Fila</label>
              <input type="text" name="fila" class="form-control" id="fila" value="{{$asiento->fila}}">
            </div>
            <div class="col-12">
              <label for="columna" class="form-label">Columna</label>
              <input type="text" name="columna" class="form-control" id="columna" value="{{$asiento->columna}}">
            </div>
            <div class="col-12">
            <a href="/admin/asientos" class="btn btn-secondary">Cancelar</a>
              <button type="submit" class="btn btn-primary">Guardar</button>
            </div>
          </form>
    </div>
</div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

resources/views/admin/asientos/listar.blade.php
@extends('adminlte::page')

@section('title', 'Asientos')

@section('content_header')
    <h1>Asientos</h1>
@stop

@section('content')
    <a href="/admin/asientos/create?idbus={{ request()->get('idbus') }}" class="btn btn-primary">Registrar Asientos</a>
      <table class="table table-dark table-striped mt-4">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Nro Asiento</th>
            <th scope="col">Fila</th>
            <th scope="col">Columna</th>
            <th scope="col">Gestion</th>
          </tr>
        </thead>
        <tbody>
        @foreach ($asientos as $asiento)
          <tr>
            <td>{{  $loop->index + 1 }}</td>
            <td>{{$asiento->num_asiento}}</td>
            <td>{{$asiento->fila}}</td>
            <td>{{$asiento->columna}}</td>
            <td>
              <form action="{{route('asientos.destroy', $asiento->id)}}" method="POST">
                <input type="hidden" name="bus_id" value="{{ request()->get('idbus') }}">
                <a href="/admin/asientos/{{$asiento->id}}/edit?idbus={{ request()->get('idbus') }}" class="btn btn-info">Editar</a>
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger">Eliminar</button>
              </form>
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>
@stop

@section('css')
    <link rel="stylesheet" href="/css/app.css">
@stop